For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
    • PATCHProfiles
      • POSTApprove/Reject time-off requests
      • DELCancel time-off request
      • POSTCreate time-off request
      • POSTExternal HR Time Off Synchronization
      • GETGet Profile Entitlements
      • GETGet Time Off Events for Profile
      • GETGet Work Schedule and Holidays
      • GETList policies
      • GETList time-off requests
      • GETList time-off requests for Organization
      • GETRetrieve policy validation templates
      • PATCHUpdate time-off request
      • POSTValidate time-off request
LogoLogo
SupportDeel Home
EndpointsTime Off

Get Profile Entitlements

GET
/time_offs/profile/:hris_profile_id/entitlements
GET
/rest/v2/time_offs/profile/:hris_profile_id/entitlements
$curl -G https://api.letsdeel.com/rest/v2/time_offs/profile/d290f1ee-6c54-4b01-90e6-d701748f0851/entitlements \
> -H "Authorization: Bearer <token>" \
> -d tracking_period_date=2022-01-01
1{
2 "entitlements": [
3 {
4 "available": "0",
5 "tracking_period": "2022-01-01T00:00:00Z",
6 "total_entitlements": "0",
7 "is_allowance_unlimited": false,
8 "tracking_period_end_date": "2022-01-01T00:00:00Z",
9 "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
10 "used": "0",
11 "events": [
12 {
13 "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
14 "type": "ACCRUAL",
15 "amount": 8,
16 "policy_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
17 "created_at": "2022-01-01T00:00:00Z",
18 "profile_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
19 "updated_at": "2022-01-01T00:00:00Z",
20 "tracking_period": "2022-01-01T00:00:00Z",
21 "event_date": "2022-01-01T00:00:00Z",
22 "description": "Event description",
23 "time_off_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
24 "accrual_date": "2022-01-01T00:00:00Z",
25 "expiration_date": "2022-01-01T00:00:00Z",
26 "rollover_tracking_period": "2022-01-01T00:00:00Z"
27 }
28 ],
29 "policy": {
30 "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
31 "name": "Policy name",
32 "created_at": "2022-01-01T00:00:00Z",
33 "updated_at": "2022-01-01T00:00:00Z",
34 "leave_type": "SHORT_TERM_LEAVE",
35 "description": "Policy description",
36 "policy_type": {
37 "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
38 "name": "Policy type name"
39 },
40 "tracking_unit": "HOUR",
41 "policy_type_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
42 "time_off_types": [
43 {
44 "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
45 "name": "Time off type name"
46 }
47 ],
48 "tracking_cadence": "FIXED_DAY",
49 "tracking_start_date": "2022-01-01",
50 "tracking_unit_amount": 8
51 },
52 "accrued": "0",
53 "expired": "0",
54 "approved": "0",
55 "allowance": "0",
56 "requested": "0",
57 "rollovers": [
58 {
59 "amount": 1.1,
60 "rollover_tracking_period": "2022-01-01T00:00:00Z",
61 "expiration_date": "2022-01-01T00:00:00Z"
62 }
63 ],
64 "accrual_unit": "HOUR",
65 "future_events": [
66 {
67 "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
68 "type": "ACCRUAL",
69 "amount": 8,
70 "policy_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
71 "created_at": "2022-01-01T00:00:00Z",
72 "profile_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
73 "updated_at": "2022-01-01T00:00:00Z",
74 "tracking_period": "2022-01-01T00:00:00Z",
75 "event_date": "2022-01-01T00:00:00Z",
76 "description": "Event description",
77 "time_off_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
78 "accrual_date": "2022-01-01T00:00:00Z",
79 "expiration_date": "2022-01-01T00:00:00Z",
80 "rollover_tracking_period": "2022-01-01T00:00:00Z"
81 }
82 ],
83 "accrual_amount": "0",
84 "balance_adjusted": "0",
85 "time_off_event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
86 "upcoming_accruals": "0",
87 "past_tracking_periods": [
88 "string"
89 ]
90 }
91 ],
92 "hris_profile_id": "d290f1ee-6c54-4b01-90e6-d701748f0851"
93}

Returns time-off entitlements for the specified hris_profile_id, including available balances, used days, and remaining allocation per time-off type. Results can be scoped to a specific policy type or tracking period date. Token scopes: time-off:read

Was this page helpful?
Previous

Get Time Off Events for Profile

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

hris_profile_idstringRequiredformat: "uuid"
HRIS profile ID

Query parameters

policy_type_nameenumOptional
Policy type name
tracking_period_datestringOptionalformat: "date"
Tracking period date

Response

Successful response
entitlementslist of objects
hris_profile_idstring
HRIS profile ID

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication